package com.ruoyi.feeagreement.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 费用协议主表对象 t_warehouse_fee_agreement_type
 * 
 * @author dongyongwei
 * @date 2021-08-04
 */
public class TWarehouseFeeAgreementType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fId;

    /** 费用协议名称 */
    @Excel(name = "费用协议名称")
    private String fName;

    /** 客户名称 */
    @Excel(name = "客户ID")
    private Long fCorpId;

    /** 客户名称名字 */
    private String fCorpName;

    /** 分类名称 */
    private String fTFeeAgreementTypeName;

    List<TWarehouseFeeAgreementTypeBusiness> tWarehouseFeeAgreementTypeBusinessList;

    public List<TWarehouseFeeAgreementTypeBusiness> gettWarehouseFeeAgreementTypeBusinessList() {
        return tWarehouseFeeAgreementTypeBusinessList;
    }

    public void settWarehouseFeeAgreementTypeBusinessList(List<TWarehouseFeeAgreementTypeBusiness> tWarehouseFeeAgreementTypeBusinessList) {
        this.tWarehouseFeeAgreementTypeBusinessList = tWarehouseFeeAgreementTypeBusinessList;
    }

    public String getfCorpName() {
        return fCorpName;
    }

    public void setfCorpName(String fCorpName) {
        this.fCorpName = fCorpName;
    }

    public String getfTFeeAgreementTypeName() {
        return fTFeeAgreementTypeName;
    }

    public void setfTFeeAgreementTypeName(String fTFeeAgreementTypeName) {
        this.fTFeeAgreementTypeName = fTFeeAgreementTypeName;
    }

    /** 分类类型ID */
    @Excel(name = "分类类型ID")
    private Long fTFeeAgreementTypeFId;

    /** 有效期起 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期起", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBegindate;

    /** 有效期至 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期至", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEnddate;

    /** 备注 */
    @Excel(name = "备注")
    private String fRemark;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long fCreateBy;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fCreateTime;

    /** 更新人ID */
    @Excel(name = "更新人ID")
    private Long fUpdateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fUpdateTime;

    /** 删除状态（0正常 1停用） */
    @Excel(name = "删除状态", readConverterExp = "0=正常,1=停用")
    private Integer fDelFlag;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private String fIsValid;

    private String fIsValidName;

    /** 是否提交 */
    @Excel(name = "是否提交")
    private String fIsCommit;

    private String fIsCommitName;

    /** 是否标准 */
    @Excel(name = "是否标准")
    private String fIsStandard;

    private String fIsStandardName;

    public String getfIsValidName() {
        return fIsValidName;
    }

    public void setfIsValidName(String fIsValidName) {
        this.fIsValidName = fIsValidName;
    }

    public String getfIsCommitName() {
        return fIsCommitName;
    }

    public void setfIsCommitName(String fIsCommitName) {
        this.fIsCommitName = fIsCommitName;
    }

    public String getfIsStandardName() {
        return fIsStandardName;
    }

    public void setfIsStandardName(String fIsStandardName) {
        this.fIsStandardName = fIsStandardName;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfName(String fName) 
    {
        this.fName = fName;
    }

    public String getfName() 
    {
        return fName;
    }
    public void setfCorpId(Long fCorpId) 
    {
        this.fCorpId = fCorpId;
    }

    public Long getfCorpId() 
    {
        return fCorpId;
    }
    public void setfTFeeAgreementTypeFId(Long fTFeeAgreementTypeFId) 
    {
        this.fTFeeAgreementTypeFId = fTFeeAgreementTypeFId;
    }

    public Long getfTFeeAgreementTypeFId() 
    {
        return fTFeeAgreementTypeFId;
    }
    public void setfBegindate(Date fBegindate) 
    {
        this.fBegindate = fBegindate;
    }

    public Date getfBegindate() 
    {
        return fBegindate;
    }
    public void setfEnddate(Date fEnddate) 
    {
        this.fEnddate = fEnddate;
    }

    public Date getfEnddate() 
    {
        return fEnddate;
    }
    public void setfRemark(String fRemark) 
    {
        this.fRemark = fRemark;
    }

    public String getfRemark() 
    {
        return fRemark;
    }
    public void setfCreateBy(Long fCreateBy) 
    {
        this.fCreateBy = fCreateBy;
    }

    public Long getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfCreateTime(Date fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public Date getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateBy(Long fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public Long getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfUpdateTime(Date fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public Date getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfDelFlag(Integer fDelFlag) 
    {
        this.fDelFlag = fDelFlag;
    }

    public Integer getfDelFlag() 
    {
        return fDelFlag;
    }
    public void setfIsValid(String fIsValid) 
    {
        this.fIsValid = fIsValid;
    }

    public String getfIsValid() 
    {
        return fIsValid;
    }
    public void setfIsCommit(String fIsCommit) 
    {
        this.fIsCommit = fIsCommit;
    }

    public String getfIsCommit() 
    {
        return fIsCommit;
    }
    public void setfIsStandard(String fIsStandard) 
    {
        this.fIsStandard = fIsStandard;
    }

    public String getfIsStandard() 
    {
        return fIsStandard;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fName", getfName())
            .append("fCorpId", getfCorpId())
            .append("fTFeeAgreementTypeFId", getfTFeeAgreementTypeFId())
            .append("fBegindate", getfBegindate())
            .append("fEnddate", getfEnddate())
            .append("fRemark", getfRemark())
            .append("fCreateBy", getfCreateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fUpdateTime", getfUpdateTime())
            .append("fDelFlag", getfDelFlag())
            .append("fIsValid", getfIsValid())
            .append("fIsCommit", getfIsCommit())
            .append("fIsStandard", getfIsStandard())
            .toString();
    }
}
